
<!--


-->
<form name="myForm" ng-controller="MyCtrl1">
    <div class="col-lg-4 ">
        <div class="has-warning">
        <label>Convert</label>
        <input class="form-control " id="num1" type="number" ng-model="num1" ng-change="convert()"/> 
        </div>
        <div class="row">
            <div class="col-lg-5">
                <label>From</label>
                <div class="radio" ng-repeat="type in types">
                    <label>
                        {{type.value}}
                        <input type="radio" name="from" ng-checked="type.checkedFrom" ng-value="type.id" ng-change="convert()"ng-model="data.from"/>
                    </label>
                </div>
            </div>

            <div class="col-lg-5">
                <label>To</label>
                <div class="radio" ng-repeat="type in types">
                    <label>
                        {{type.value}}
                        <input type="radio" name="to"  ng-value="type.id" id="{{type.id}}" ng-change="convert()" ng-model="data.to"/>
                    </label>
                </div>
            </div>
        </div>
        <div class="row">
            <div class=" col-lg-offset-2">
                <div>
                    <h3>{{num1}}° [{{data.from}}] = {{num3| number:2}}° [{{data.to}}]</h3>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-offset-2">
                <output>[°{{data.to}}] = [°{{data.from}}] {{eqn}}</output>
            </div>
        </div>
    </div>
</form>
<!-- 
Using the ng-options iterating through the expressions list in MyCtrl1

<div class="col-lg-2">
    <select class="form-control control-label" ng-model="selc" ng-options="n.name for n in expressions">
        <option style="display:none" value="">select an operation</option>   

    </select>
</div>

<div class="col-lg-1">
    <input class="form-control" id="num2" type="number" ng-model="num2" ng-style="inp[1]" ng-click="change(inp[1].id)"/>
</div>

<div class="col-lg-1">
    <button  class="btn btn-primary" id="btn1" ng-click="select(selc.id)" >= </button>
</div>

<div class="col-lg-1">
    <output id="num3">{{num3}}</output>
</div>-->


